- NAME
- SYNOPSIS
- DESCRIPTION
  - SourceDescription
  - ExternalValues
- SEE ALSO

# NAME

RT::CustomFieldValues::External - Pull possible values for a custom field from an arbitrary external data source.

# SYNOPSIS

Custom field value lists can be produced by creating a class that inherits from `RT::CustomFieldValues::External`, and overloading `SourceDescription` and `ExternalValues`. See RT::CustomFieldValues::Groups for a simple example.

# DESCRIPTION

Subclasses should implement the following methods:

## SourceDescription

This method should return a string describing the data source; this is the identifier by which the user will see the dropdown.

## ExternalValues

This method should return an array reference of hash references. The hash references must contain a key for `name` and can optionally contain keys for `description`, `sortorder`, and `category`. If supplying a category, you must also set the category the custom field is based on in the custom field configuration page.

# SEE ALSO

docs/extending/external_custom_fields.pod

← Back to index